Bug 97235 - LOKDocView: reset_view should not crash when no document is loaded
Summary: LOKDocView: reset_view should not crash when no document is loaded
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.2 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-18 19:08 UTC by Pranav Kant
Modified: 2016-10-25 19:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pranav Kant 2016-01-18 19:08:00 UTC
Currently, if we call reset_view on the widget when no document is loaded, it crashes. It should silently return.
Comment 1 Debarshi Ray 2016-01-21 14:52:43 UTC
As far as I can tell, this is a regression. For example, it used to work with libreoffice-5.1.0.1-2.fc24, but doesn't with libreoffice-core-5.1.0.2-2.fc24.
Comment 2 Commit Notification 2016-02-21 16:47:45 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4e13bc973ed50bed80f2833dc8e5bc7a69bb44e

tdf#97235: Protect reset_view when called with no tile buffer initialized

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.